image: komport/ubuntu:latest

variables:
  dockerTag: '$CI_BUILD_REF'
  DOCKER_REPO: komport
  DOCKER_TLS_CERTDIR: ""
  IMAGE_BASE_NAME: httpd
  IMAGE: $DOCKER_REPO/$IMAGE_BASE_NAME:$CI_BUILD_REF
  DOCKER_DRIVER: overlay
  GIT_STRATEGY: clone
before_script:
   - docker info
#  - apt-get update -y
#  - apt-get install curl -y
#  - apt-get install apt-transport-https ca-certificates curl software-properties-common -y
#  - curl -fsSL https://download.docker.com/linux/ubuntu/gpg | apt-key add -
#  - add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable"
#  - apt update
#  - apt upgrade -y
#  - apt-get install docker-ce -y
#  - /etc/init.d/docker start
  #- curl -L "https://github.com/docker/compose/releases/download/1.23.1/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
  #  #- chmod +x /usr/local/bin/docker-compose
stages:
  - build
  - push
  - irun

docker build:
  stage: build
  only:
  - master
  script:
  - docker-compose build

docker push:
  stage: push
  only: 
  - master
  script:
  - echo "$REGISTRY_PASSWORD" | docker login -u "$REGISTRY_USER" --password-stdin
  - docker push $DOCKER_REPO/$IMAGE_BASE_NAME:$CI_BUILD_REF

docker irun:
  stage: irun
  only:
    - master
  script:
    - docker-compose up -d --force-recreate
